Package org.flowable.engine.migration

# Interface ActivityMigrationMappingOptions.SingleToActivityOptions<T extends ActivityMigrationMapping>

All Superinterfaces:
  `ActivityMigrationMappingOptions<T>`

All Known Implementing Classes:
  `ActivityMigrationMapping.ManyToOneMapping`, `ActivityMigrationMapping.OneToOneMapping`

Enclosing interface:
  `ActivityMigrationMappingOptions<T extends ActivityMigrationMapping>`

public static interface ActivityMigrationMappingOptions.SingleToActivityOptions<T extends ActivityMigrationMapping> extends ActivityMigrationMappingOptions<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.engine.migration.ActivityMigrationMappingOptions

  `ActivityMigrationMappingOptions.MultipleToActivityOptions<T extends ActivityMigrationMapping>, ActivityMigrationMappingOptions.SingleToActivityOptions<T extends ActivityMigrationMapping>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getActivityLocalVariables()`
  `String`
  `getWithNewAssignee()`
  `String`
  `getWithNewOwner()`
  `T`
  `withLocalVariable(String variableName, Object variableValue)`
  `T`
  `withLocalVariables(Map<String,Object> variables)`
  `T`
  `withNewAssignee(String newAssigneeId)`
  `T`
  `withNewOwner(String newOwner)`

  ### Methods inherited from interface org.flowable.engine.migration.ActivityMigrationMappingOptions

  `getCallActivityProcessDefinitionVersion, getFromCallActivityId, getToCallActivityId, inParentProcessOfCallActivityId, inSubProcessOfCallActivityId, inSubProcessOfCallActivityId, isToCallActivity, isToParentProcess`

- ## Method Details

  - ### withNewAssignee

    T withNewAssignee(String newAssigneeId)

  - ### getWithNewAssignee

    String getWithNewAssignee()

  - ### withNewOwner

    T withNewOwner(String newOwner)

  - ### getWithNewOwner

    String getWithNewOwner()

  - ### withLocalVariable

    T withLocalVariable(String variableName, Object variableValue)

  - ### withLocalVariables

    T withLocalVariables(Map<String,Object> variables)

  - ### getActivityLocalVariables

    Map<String,Object> getActivityLocalVariables()